FUNCTION apex_save_value_render (
   p_dynamic_action IN APEX_PLUGIN.T_DYNAMIC_ACTION,
   p_plugin         IN APEX_PLUGIN.T_PLUGIN 
)

   RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT
   
IS

   l_result APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;
   l_crlf   CHAR(2) := CHR(13)||CHR(10);

BEGIN

   IF apex_application.g_debug
   THEN
      apex_plugin_util.debug_dynamic_action(
         p_plugin         => p_plugin,
         p_dynamic_action => p_dynamic_action 
      );
   END IF;
   
   apex_javascript.add_library(
      p_name      => 'com_skillbuilders_sbdp_save_value_on_cascade.min',
      p_directory => p_plugin.file_prefix,
      p_version   => NULL 
   );

   l_result.javascript_function := 
      'function(){' || l_crlf ||
      '   if (this.browserEvent.type === ''ready''){' || l_crlf ||
      '      apex.jQuery(document).apex_save_value_on_casdade({''apexThis'': this});' || l_crlf ||
      '   }' || l_crlf ||
      '}';

   RETURN l_result;
    
END apex_save_value_render;